<agm-map
  [latitude]="latitudeCar.value"
  [longitude]="longitudeCar.value"
  [zoom]="zoom.value"
  (mapClick)="clickMap($event)">

  <agm-marker
    *ngFor="let m of markers; let i = index"
    [latitude]="m.latitude"
    [longitude]="m.longitude"

    (markerClick)="markerClick($event)">

    <agm-info-window
      [class.marker]="m === activeItem">
      <strong>{{m.name}}</strong>

    </agm-info-window>

  </agm-marker>

</agm-map>

<div class="nav">
  <h2>Обьекты</h2>

  <div class="nav-search">
    <input type="text" id="search" [(ngModel)]="search" placeholder="Поиск">
  </div>
  <ul class="nav-list-container">
    <li *ngFor="let m of markers | searchCar:search; let i = index"
        (click)="choiceCar(m)" (click)="onSelect(m)" [class.active]="m === activeItem">
      <span class="icon">
        <img src="../assets/car.svg" alt="icon">
      </span>
      {{m.name}}
    </li>
  </ul>
</div>
